<?php
require_once 'config.php';
require_once 'db.php';

$id = isset($_POST['id']) ? intval($_POST['id']) : 0;

try {
    $db = Database::getInstance()->getConnection();
    
    // Obtener el monto original
    $stmt = $db->prepare("SELECT amount FROM installments WHERE id = ?");
    $stmt->execute([$id]);
    $cuota = $stmt->fetch();

    if (!$cuota) {
        throw new Exception("Cuota no encontrada.");
    }

    $stmt = $db->prepare("UPDATE installments SET status = 'pagado', amount_paid = ? WHERE id = ?");
    $stmt->execute([$cuota['amount'], $id]);

    echo "OK";
} catch (Exception $e) {
    echo "Error: " . $e->getMessage();
}
