
<?php
require_once 'config.php';
require_once 'db.php';

if (!isset($_POST['id'])) {
    echo "ID no recibido";
    exit;
}

$creditId = intval($_POST['id']);

try {
    $db = Database::getInstance()->getConnection();
    $db->beginTransaction();

    $stmt = $db->prepare("DELETE FROM installments WHERE credit_id = ?");
    $stmt->execute([$creditId]);

    $stmt = $db->prepare("DELETE FROM credits WHERE id = ?");
    $stmt->execute([$creditId]);

    $db->commit();
    echo "OK";
} catch (Exception $e) {
    $db->rollBack();
    echo "Error: " . $e->getMessage();
}
?>
